emulators/libretro-mgba - The NetBSD Packages Collection

Libretro core based on the mGBA emulator

Libretro is a simple but powerful development interface that allows for the
easy creation of emulators, games and multimedia applications that can plug
straight into any libretro-compatible frontend. This development interface is
open to others so that they can run these pluggable emulator and game cores
also in their own programs or devices.

mGBA is an emulator for running Game Boy Advance games. It aims to be faster
and more accurate than many existing Game Boy Advance emulators, as well as
adding features that other emulators lack. It also supports Game Boy and
Game Boy Color games.

Build dependencies

x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/libelf graphics/MesaLib graphics/MesaLib

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibretro-mgba-0.9.1.tgz
NetBSD 8.0earmv7hflibretro-mgba-0.8.4.tgz
NetBSD 8.0earmv7hflibretro-mgba-0.9.1.tgz
NetBSD 8.0i386libretro-mgba-0.8.4.tgz
NetBSD 8.0i386libretro-mgba-0.9.1.tgz
NetBSD 8.0powerpclibretro-mgba-0.8.4.tgz
NetBSD 8.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 8.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 8.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 8.0x86_64libretro-mgba-0.8.4.tgz
NetBSD 8.0x86_64libretro-mgba-0.9.1.tgz
NetBSD 9.0aarch64libretro-mgba-0.9.1.tgz
NetBSD 9.0aarch64libretro-mgba-0.8.4.tgz
NetBSD 9.0aarch64libretro-mgba-0.9.1.tgz
NetBSD 9.0alphalibretro-mgba-0.9.1.tgz
NetBSD 9.0alphalibretro-mgba-0.8.4.tgz
NetBSD 9.0alphalibretro-mgba-0.9.1.tgz
NetBSD 9.0earmv6hflibretro-mgba-0.9.1.tgz
NetBSD 9.0earmv6hflibretro-mgba-0.8.4.tgz
NetBSD 9.0earmv6hflibretro-mgba-0.9.1.tgz
NetBSD 9.0earmv7hflibretro-mgba-0.9.1.tgz
NetBSD 9.0earmv7hflibretro-mgba-0.8.4.tgz
NetBSD 9.0earmv7hflibretro-mgba-0.9.1.tgz
NetBSD 9.0earmv7hflibretro-mgba-0.9.1.tgz
NetBSD 9.0i386libretro-mgba-0.8.4.tgz
NetBSD 9.0i386libretro-mgba-0.9.1.tgz
NetBSD 9.0mips64eblibretro-mgba-0.9.1.tgz
NetBSD 9.0mips64eblibretro-mgba-0.8.2.tgz
NetBSD 9.0mips64eblibretro-mgba-0.8.4.tgz
NetBSD 9.0mips64eblibretro-mgba-0.8.4.tgz
NetBSD 9.0mips64eblibretro-mgba-0.9.1.tgz
NetBSD 9.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 9.0powerpclibretro-mgba-0.8.4.tgz
NetBSD 9.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 9.0powerpclibretro-mgba-0.9.1.tgz
NetBSD 9.0sparc64libretro-mgba-0.9.1.tgz
NetBSD 9.0sparc64libretro-mgba-0.8.4.tgz
NetBSD 9.0sparc64libretro-mgba-0.9.1.tgz
NetBSD 9.0sparclibretro-mgba-0.9.1.tgz
NetBSD 9.0sparclibretro-mgba-0.8.4.tgz
NetBSD 9.0sparclibretro-mgba-0.9.1.tgz
NetBSD 9.0x86_64libretro-mgba-0.9.1.tgz
NetBSD 9.0x86_64libretro-mgba-0.9.1.tgz
NetBSD 9.0x86_64libretro-mgba-0.8.4.tgz
NetBSD 9.0x86_64libretro-mgba-0.9.1.tgz
NetBSD 9.0x86_64libretro-mgba-0.9.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.